const data = require('./data')

function getMZF(dob) {
    var mzf = {day: '', age: '', sr: '', sr_age: '', result: '', msg: ''}
    var current_date = new Date()
    var birth_date = new Date(dob)

    // ဘာနေ့သားလဲ
    var birth_day = birth_date.getDay()
    mzf.day = data.day(birth_day)

    // အသက်ဘယ်လောက်လဲ
    mzf.age = current_date.getFullYear() - birth_date.getFullYear()

    var sr_index = 0;
    var age_start = birth_day + 1 // Sunday is 1 (not 0) to calculate
    var age_end = age_start + 1

    if(mzf.age > birth_day) {
        while(mzf.age < age_start || mzf.age > age_end) {
            age_start += 2
            age_end = age_start + 1
            sr_index = (sr_index === 6) ? 0 : ++sr_index
        }

        // ဘယ်မှာရောက်နေလဲ
        mzf.sr = data.sr(sr_index)

        // ဘယ်နှစ်တွေမှာရောက်နေတာလဲ
        mzf.sr_age = `${age_start}, ${age_end}` // ၂ နှစ်စီဖြစ်၍ - အစနှစ်နှင့် အဆုံးနှစ်ဟုမှတ်ယူသည်။

        // အဖြေဘာထွက်လည်း
        mzf.result = data.result(sr_index)
        mzf.msg = 'တွက်ချက်မှုအောင်မြင်သည်။'
    } else {
        mzf.msg = 'တွက်ချက်မှုမအောင်မြင်ပါ။ ဇနကဟောကိန်းနှင့်တွက်နိုင်ရန် အသက်ငယ်နေပါသည်။'
    }
    return mzf;
}

module.exports = getMZF